{pkgs, ...}: {
  programs.fish = {
    enable = true;
    interactiveShellInit = ''
      set -g fish_greeting

      fish_vi_key_bindings
      set -g fish_cursor_insert line

      if not set -q TMUX
        tmux attach
      end
    '';
    shellAliases = {
      xilinx-env = "distrobox enter --additional-flags '--env _JAVA_AWT_WM_NONREPARENTING=1' arch";
    };
    plugins = [
      {
        name = "z";
        src = pkgs.fetchFromGitHub {
          owner = "jethrokuan";
          repo = "z";
          rev = "85f863f20f24faf675827fb00f3a4e15c7838d76";
          sha256 = "+FUBM7CodtZrYKqU542fQD+ZDGrd2438trKM0tIESs0=";
        };
      }
    ];
  };
}
